# target_scanline.cpp File Reference

Template File. More...

`#include "target_scanline.h"`
`#include "string.h"`
`#include "surface.h"`
`#include "render.h"`
`#include "canvas.h"`
`#include "context.h"`

## Defines

#define | SYNFIG_OPTIMIZE_LAYER_TREE
#define | PIXEL_RENDERING_LIMIT 1500000
#define | USE_PIXELRENDERING_LIMIT 1

## Detailed Description

Template File.

$Id$

## Define Documentation

#define SYNFIG_OPTIMIZE_LAYER_TREE

#define PIXEL_RENDERING_LIMIT 1500000

Referenced by synfig::Target_Scanline::render().

#define USE_PIXELRENDERING_LIMIT 1